#!/usr/bin/sh

if [ `id -u` -eq 0 ]; then
    echo "It is not safe to run this program as root. Exiting." >&2
    exit 1
fi

PROG="bpm-analysis"

CONFIG="/etc/bpm.conf"

. "$CONFIG"

if [ -z "$BPMDATA" ]; then
    echo "BPMDATA not set in $CONFIG" >&2
    exit 1
fi

cd $BPMDATA || exit $?

PID=$(pidof bpm-analysis)
if [ -n "$PID" ]; then
    echo "$PROG already running as pid $PID, exiting"
    exit 1
fi

# run as daemon
exec bpm-analysis
